get
Was this helpful?
GET /api/v1/rawFiles/:fileIdThis endpoint supports HTTP Range requests, allowing you to fetch part of a file and to resume interrupted downloads.
:fileId
string
The globally unique identifier for this file
workflow
string
Optional. The id of the associated workflow where this file is being referenced.
table
string
Optional. The id of the associated table where this file is being referenced.
version
string
Optional. The tag of the associated version where this file is being referenced.
This endpoint extends the general API structure.
You must have data access to the file's associated dataset, and your access token must have the following scope:
data.data
This endpoint accepts HTTP Range Requests to allow for partial downloads. For example, send Range: bytes=0-1023 to get the first 1024 bytes.
The request body must be empty.
In addition to standard response headers, this API provides the additional information associated with the file:
Content-Disposition
HTTP content disposition, including information about the file's name.
Content-Length
The size, in bytes, of the response. Note if using Range Requests, this will be the size of the current response, not the entire file.
Content-Range
Will only be returned if a Range was set on the request headers. Takes the form
Content-Type
The file's MIME type, derived from the file extension. If the MIME type is unknown, will be set to application/octet-stream.
Returns the file content. If a range request was made, will return the content for the specified byte range.
Was this helpful?
Was this helpful?
bytes startByte-endByte/totalcurl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/rawFiles/93qh-6wdzwrz84.bc574P4o8ypzp8yKCnrgIw"
